﻿Imports System.ComponentModel
<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()>
Public Class Window_Template
	Inherits Form
	Private fullcolor As String = Nothing ' quick_saves.User_color
	Friend WithEvents minimize_lbl As Label
	Friend WithEvents maximize_lbl As Label
	Friend WithEvents close_lbl As Label
	Private UseFadeAnimation As String = "True"
#Region "Commands"
	Private Sub close_lbl_Click(sender As System.Object, e As System.EventArgs) Handles close_lbl.Click
		Me.Close()
	End Sub
	Private Sub maximize_lbl_Click(sender As System.Object, e As System.EventArgs) Handles maximize_lbl.Click
		If maximize_lbl.Text = "□" Then
			Me.WindowState = FormWindowState.Normal
			maximize_lbl.Text = "■"
		Else
			Me.WindowState = FormWindowState.Maximized
			maximize_lbl.Text = "□"
		End If
	End Sub
	Private Sub minimize_lbl_Click(sender As System.Object, e As System.EventArgs) Handles minimize_lbl.Click
		Me.WindowState = FormWindowState.Minimized
	End Sub
#End Region
#Region "Mouseovers"
	Private Sub close_lbl_MouseEnter(sender As System.Object, e As System.EventArgs) Handles close_lbl.MouseEnter
		close_lbl.BackColor = Color.Red
	End Sub
	Private Sub close_lbl_MouseLeave(sender As System.Object, e As System.EventArgs) Handles close_lbl.MouseLeave
		close_lbl.BackColor = Color.Transparent
	End Sub
	Private Sub maximize_lbl_MouseEnter(sender As System.Object, e As System.EventArgs) Handles maximize_lbl.MouseEnter
		maximize_lbl.BackColor = Color.Yellow
	End Sub
	Private Sub maximize_lbl_MouseLeave(sender As System.Object, e As System.EventArgs) Handles maximize_lbl.MouseLeave
		maximize_lbl.BackColor = Color.Transparent
	End Sub
	Private Sub minimize_lbl_MouseEnter(sender As System.Object, e As System.EventArgs) Handles minimize_lbl.MouseEnter
		minimize_lbl.BackColor = Color.Green
	End Sub
	Private Sub minimize_lbl_MouseLeave(sender As System.Object, e As System.EventArgs) Handles minimize_lbl.MouseLeave
		minimize_lbl.BackColor = Color.Transparent
	End Sub
#End Region
#Region "Functions"
	Public Sub SetImgColor(ByVal _Control As String, ByVal _R As Integer, ByVal _G As Integer, ByVal _B As Integer)
		'Dim x As Integer
		'Dim y As Integer
		'Dim img As Bitmap = New Bitmap(My.Resources.Taskbar_default1_transparent)
		'For x = 0 To img.Width - 1
		'	For y = 0 To img.Height - 1
		'		img.SetPixel(x, y, Color.FromArgb(75, _R, _G, _B))
		'	Next
		'Next
		'For Each Control As Control In Me.Controls
		'	If Control.Name.Contains(_Control) = True Then
		'		Control.BackgroundImage = img
		'	End If
		'Next
	End Sub
#End Region
#Region "Attribute"
	Private Const FADE_DEFAULT_VALUE As String = "True"
	Private _Fade As String = FADE_DEFAULT_VALUE
	<Browsable(True), DefaultValue(FADE_DEFAULT_VALUE), Description("Fade IN - OUT Effekt")>
	Public Property Fade() As String
		Get
			Return _Fade
		End Get
		Set(value As String)
			_Fade = value
			UseFadeAnimation = value
		End Set
	End Property
#End Region
	Private Sub Window_Template_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
		'Set Titelbar Color
		Try
			Dim _red As Integer
			Dim _green As Integer
			Dim _blue As Integer
			_red = fullcolor.Split(",")(0)
			_green = fullcolor.Split(",")(1)
			_blue = fullcolor.Split(",")(2)
			SetImgColor("titelbar_", _red, _green, _blue)
		Catch ex As Exception
		End Try
	End Sub
	Private Sub Window_Template_Activated(sender As System.Object, e As System.EventArgs) Handles MyBase.Activated
		If UseFadeAnimation = "True" Then
			For fadein = 0.4 To 1.0 Step 0.1
				Me.Opacity = fadein
				Me.Refresh()
				Threading.Thread.Sleep(10)
			Next
		End If
	End Sub
	Private shutdown_fade_deactivate As Boolean = False
	Private Sub Window_Template_Deactivate(sender As System.Object, e As System.EventArgs) Handles MyBase.Deactivate
		If UseFadeAnimation = "True" Then
			If shutdown_fade_deactivate = False Then
				For fadeout = 1.0 To 0.4 Step -0.1
					Me.Opacity = fadeout
					Me.Refresh()
					Threading.Thread.Sleep(10)
				Next
			Else : End If
		End If
	End Sub
	Private Sub Window_Template_FormClosing(sender As System.Object, e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		shutdown_fade_deactivate = True
	End Sub

	Private Sub InitializeComponent()
		Me.minimize_lbl = New System.Windows.Forms.Label()
		Me.maximize_lbl = New System.Windows.Forms.Label()
		Me.close_lbl = New System.Windows.Forms.Label()
		Me.SuspendLayout()
		'
		'minimize_lbl
		'
		Me.minimize_lbl.Anchor = CType((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
		Me.minimize_lbl.AutoSize = True
		Me.minimize_lbl.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.minimize_lbl.Location = New System.Drawing.Point(236, 0)
		Me.minimize_lbl.Margin = New System.Windows.Forms.Padding(0)
		Me.minimize_lbl.Name = "minimize_lbl"
		Me.minimize_lbl.Size = New System.Drawing.Size(15, 15)
		Me.minimize_lbl.TabIndex = 0
		Me.minimize_lbl.Text = "_"
		'
		'maximize_lbl
		'
		Me.maximize_lbl.Anchor = CType((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
		Me.maximize_lbl.AutoSize = True
		Me.maximize_lbl.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.maximize_lbl.Location = New System.Drawing.Point(251, 0)
		Me.maximize_lbl.Margin = New System.Windows.Forms.Padding(0)
		Me.maximize_lbl.Name = "maximize_lbl"
		Me.maximize_lbl.Size = New System.Drawing.Size(18, 15)
		Me.maximize_lbl.TabIndex = 1
		Me.maximize_lbl.Text = "[ ]"
		'
		'close_lbl
		'
		Me.close_lbl.Anchor = CType((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
		Me.close_lbl.AutoSize = True
		Me.close_lbl.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.close_lbl.Location = New System.Drawing.Point(269, 0)
		Me.close_lbl.Margin = New System.Windows.Forms.Padding(0)
		Me.close_lbl.Name = "close_lbl"
		Me.close_lbl.Size = New System.Drawing.Size(16, 15)
		Me.close_lbl.TabIndex = 2
		Me.close_lbl.Text = "X"
		'
		'Window_Template
		'
		Me.ClientSize = New System.Drawing.Size(284, 261)
		Me.ControlBox = False
		Me.Controls.Add(Me.close_lbl)
		Me.Controls.Add(Me.maximize_lbl)
		Me.Controls.Add(Me.minimize_lbl)
		Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
		Me.Name = "Window_Template"
		Me.ResumeLayout(False)
		Me.PerformLayout()

	End Sub
End Class